commit:     8d0f82c9c5e7a082194bcecadb93180adc588c4b
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Fri Dec  4 05:05:38 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Dec  4 05:05:38 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8d0f82c9

dev-python/autoflake: bump to 1.4

Package-Manager: Portage-3.0.11, Repoman-3.0.2
Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-python/autoflake/Manifest             |  1 +
 dev-python/autoflake/autoflake-1.4.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/autoflake/Manifest b/dev-python/autoflake/Manifest
index a55e724e..871629d8 100644
--- a/dev-python/autoflake/Manifest
+++ b/dev-python/autoflake/Manifest
@@ -1 +1,2 @@
 DIST autoflake-1.3.1.tar.gz 19756 BLAKE2B 
8a172888a8c44483b8771b59bebda841e55455f544197e2f1bce08dfb7cb3dd54e8a616a15a3712609480bc484561ffa27aaa93d9b5e1a573bb1960df96ea9cf
 SHA512 
763bcfc824412129901106ddcaf7104a2bfa5ee86b43d2822b51af5532ea0ac46466b64a004c099dc6fa2a96b23ae959e1ef1eb68c6be0c1e4c08ab9bf174e08
+DIST autoflake-1.4.tar.gz 24219 BLAKE2B 
622c82b9ab5e7fd68e8bc2678c5868282e605640e1c52d1a8f81fbaaba26dfb738ac1ceb9eb20195bb820256fbae27222953a5271130e74b8708988516e20e00
 SHA512 
53e542a765cbd18df7c35a90f16786e173bdc332b4410abfbc6d24f1009bf5d6f8a383e897e72558617bdf339573d8aa9b8de6901aac392caf48889aacf0c9a6

diff --git a/dev-python/autoflake/autoflake-1.4.ebuild 
b/dev-python/autoflake/autoflake-1.4.ebuild
new file mode 100644
index 00000000..d2b5ae13
--- /dev/null
+++ b/dev-python/autoflake/autoflake-1.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Removes unused imports and unused variables as reported by 
pyflakes"
+HOMEPAGE="
+       https://github.com/myint/autoflake
+       https://pypi.org/project/autoflake
+"
+SRC_URI="https://github.com/myint/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND=">=dev-python/pyflakes-1.1.0[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_test() {
+       "${EPYTHON}" test_autoflake.py || die
+}

Reply via email to